Method: networks.daiEncodingProfiles.batchCreate

Batch creates DaiEncodingProfile objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/daiEncodingProfiles:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where DaiEncodingProfiles will be created. Format: networks/{networkCode} The parent field in the CreateDaiEncodingProfileRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateDaiEncodingProfileRequest)
    }
  ]
}
Fields
requests[]

object (CreateDaiEncodingProfileRequest)

Required. The DaiEncodingProfile objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for daiEncodingProfiles.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "daiEncodingProfiles": [
    {
      object (DaiEncodingProfile)
    }
  ]
}
Fields
daiEncodingProfiles[]

object (DaiEncodingProfile)

The DaiEncodingProfile objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateDaiEncodingProfileRequest

Request object for daiEncodingProfiles.create method.

JSON representation
{
  "parent": string,
  "daiEncodingProfile": {
    object (DaiEncodingProfile)
  }
}
Fields
parent

string

Required. The parent resource where this DaiEncodingProfile will be created. Format: networks/{networkCode}

daiEncodingProfile

object (DaiEncodingProfile)

Required. The DaiEncodingProfile to create.